<table class='admintable'>
    <thead>
        <tr>
            <td style="width: 24px;">
                <a href='<?= $this->url() . "?order=order_id" ?>'>
                    <div class="full active"><?= ($this->order == 'order_id') ? "<img src='/graphics/arrow_down.png' alt='sort'/>" : "" ?>id</div>
                </a>
            </td>
            <td style="width: 24px;">
                shop
            </td>
            <td>
               <a href='<?= $this->url() . "?order=order_date" ?>'>
                    <div class="full active"><?= ($this->order == 'order_date') ? "<img src='/graphics/arrow_down.png' alt='sort'/>" : "" ?>datum</div>
               </a>
            </td>            
            <td>
               <div class="full active">faktura</div>
            </td>
            <td>
               <a href='<?= $this->url() . "?order=order_name" ?>'>
                    <div class="full active"><?= ($this->order == 'order_name') ? "<img src='/graphics/arrow_down.png' alt='sort'/>" : "" ?>jméno</div>
               </a>
            </td>
            <td>
               <a href='<?= $this->url() . "?order=order_email" ?>'>
                    <div class="full active"><?= ($this->order == 'order_email') ? "<img src='/graphics/arrow_down.png' alt='sort'/>" : "" ?>email</div>
               </a>
            </td>
            <td>
               <a href='<?= $this->url() . "?order=order_quantity" ?>'>
                    <div class="full active"><?= ($this->order == 'order_quantity') ? "<img src='/graphics/arrow_down.png' alt='sort'/>" : "" ?>množství</div>
               </a>
            </td>
            <td>
               <a href='<?= $this->url() . "?order=order_price" ?>'>
                    <div class="full active"><?= ($this->order == 'order_price') ? "<img src='/graphics/arrow_down.png' alt='sort'/>" : "" ?>cena</div>
               </a>
            </td>
            <td>
                <a href='<?= $this->url() . "?order=user_name" ?>'>
                    <div class="full active"><?= ($this->order == 'user_name') ? "<img src='/graphics/arrow_down.png' alt='sort'/>" : "" ?>vyřizuje</div>
               </a>
            </td>
            <td>stav
            </td>
            <td>
            </td>
            <!--
            <td width="50">
            </td>
            -->
        </tr>
    </thead>
    <tbody class='orderstatus'>
        <?php
        $model = new Model_EshopOrder();
        if (!empty($this->orders)) {
            foreach ($this->orders as $value) {?>
                <tr class='borderbottom' style='background-color: <?= $value['color'] ?>'>  
                    <td><?= $value['order_id'] ?></td>
                    <td><img src="/images/eshop_shops/<?= $value['eshop_id'] ?>.png" class="smallicon"/></td>
                    <td><?= str_replace (" ", "<br/>", $value['order_timestamp'] ) ?></td>
                    <td><?= $value['invoice_no'] ?></td>
                    <td><?= $value['order_name'] . " " . $value['order_surname'] ?></td>
                    <td><?= $value['order_email'] ?></td>
                    <td><?= $value['order_quantity'] ?></td>
                    <td class='right'><?= ($value['eshop_id'] == '2') ? $this->currency->toEuro($value['order_price']) : $this->currency->toKoruna($value['order_price'])  ?></td>
                    <td><?= $value['user_name'] ?></td>                
                    <td><?= $this->status[$value['status_id']]['title_cz'] ?>
                        <!--
                        <?php
                        $nextstatus = $model->getNextStatus($value['status_id'], $value['shipping_id']);
                        if (isset($nextstatus)) {?>                        
                        <form action='/admin/orders/status/' method='post' style='float: left'>
                            <input type='hidden' value='<?= $value['order_id'] ?>' name='order_id'>
                            <input type='hidden' value='<?= $nextstatus ?>' name='status_id'>                    
                            <input type='hidden' value='orders/' name='redirect'>
                            <input type='submit' value='<?= $this->status[$nextstatus]['title_cz'] ?>' style='width: 66px; height: 30px; margin: 10px; background-color: <?= $this->status[$nextstatus]['color'] ?>'>
                        </form>
                        <?php } ?>
                        -->
                    </td>
                    <td>
                        <a href='/admin/orders/edit/?order_id=<?= $value['order_id'] ?>'>
                            [detaily]
                        </a>
                        <br/>
                        <a href='/admin/orders/invoice/?order_id=<?= $value['order_id'] ?>'>
                            [faktura]                        
                        </a>
                    </td>
                    <!--
                    <td>
                        <img src='/graphics/shipping_<?= $value['shipping_id'] ?>.jpg' alt='způsob dopravy'/>
                        <img src='/graphics/payment_<?= $value['payment_id'] ?>.jpg' alt='způsob platby'/>                        
                    </td>
                    -->
                </tr>
            <?php } 
        } ?>
    </tbody>
</table>
<form action='/admin/orders/filter' method='post'>
    <input type='hidden' name='formactive' value='1' />
    <table style='width: 99%; margin: 1px;'>
        <tr class='orderstatus'>
            <td class='padding5'>
                <h3>legenda</h3>
                <input type='radio' name='eshop_id' value='0' <?= ($this->eshop_id == '0') ? "checked" : "" ?> />                
                vše
                <input type='radio' name='eshop_id' value='1' <?= ($this->eshop_id == '1') ? "checked" : "" ?> />
                <img src="/images/eshop_shops/1.png" class="smallicon"/>
                <br/>
                <input type='radio' name='eshop_id' value='2' <?= ($this->eshop_id == '2') ? "checked" : "" ?> />
                <img src="/images/eshop_shops/2.png" class="smallicon"/>
                <input type='radio' name='eshop_id' value='3' <?= ($this->eshop_id == '3') ? "checked" : "" ?> />
                <img src="/images/eshop_shops/3.png" class="smallicon"/>
            </td>
            <?php
            foreach ($this->status as $value) {?>
            <td style='background-color: <?= $value['color'] ?>'><?= $value['text_cz'] ?></td>
            <?php } ?>
        </tr>
        <tr class='orderstatus'>
            <td class='padding5'>
                <input type='submit' value='Filtrovat' style='width: 130px' />
            </td>
            <?php
            foreach ($this->status as $value) {
                $status_id = $value['status_id'];?>
            <td style='background-color: <?= $value['color'] ?>'>
                <input type='checkbox' name='<?= $status_id ?>' value='<?= $status_id ?>' <?= (empty($this->filter[$status_id])) ? "" : "checked" ?> />&nbsp;zobrazit
            </td>
            <?php } ?>
        </tr>
    </table>
    <table style='width: 720px; margin: 1px;'>
        <tr>
            <td><input type='radio' name='year' value='1' <?= ($this->year == '1') ? "checked" : "" ?> /><b>vše</b></td>
            <td><input type='radio' name='year' value='2009' <?= ($this->year == '2009') ? "checked" : "" ?> /><b>2009</b></td>
            <td><input type='radio' name='year' value='2010' <?= ($this->year == '2010') ? "checked" : "" ?> /><b>2010</b></td>
            <td><input type='radio' name='year' value='2011' <?= ($this->year == '2011') ? "checked" : "" ?> /><b>2011</b></td>
            <td><input type='radio' name='year' value='2012' <?= ($this->year == '2012') ? "checked" : "" ?> /><b>2012</b></td>
            <td><input type='radio' name='year' value='2013' <?= ($this->year == '2013') ? "checked" : "" ?> /><b>2013</b></td>
            <td><input type='radio' name='year' value='2014' <?= ($this->year == '2014') ? "checked" : "" ?> /><b>2014</b></td>
            <td><input type='radio' name='year' value='2015' <?= ($this->year == '2015') ? "checked" : "" ?> /><b>2015</b></td>
            <td><input type='radio' name='year' value='2016' <?= ($this->year == '2016') ? "checked" : "" ?> /><b>2016</b></td>
            <td><input type='radio' name='year' value='2017' <?= ($this->year == '2017') ? "checked" : "" ?> /><b>2017</b></td>
            <td><input type='radio' name='year' value='2018' <?= ($this->year == '2018') ? "checked" : "" ?> /><b>2018</b></td>
            <td><input type='radio' name='year' value='2019' <?= ($this->year == '2019') ? "checked" : "" ?> /><b>2019</b></td>
            <td><input type='radio' name='year' value='2020' <?= ($this->year == '2020') ? "checked" : "" ?> /><b>2020</b></td>
        </tr>
    </table>
</form>